<?php
namespace Ak\Annotation;

use Doctrine\Common\Annotations\AnnotationReader;
use Doctrine\Common\Annotations\AnnotationRegistry;
use Doctrine\Common\Annotations\Reader as AnnotationReaderInterface;
use Interop\Container\ContainerInterface;
use Laminas\ServiceManager\Factory\FactoryInterface;

/**
 * Stvara novu instancu čitača anotacija.
 *
 * @package Ak\Annotation
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/annotations
 */
final class AnnotationReaderFactory implements FactoryInterface
{
    /** @var bool */
    private static $loaderRegistered = false;

    /**
     * Create an object
     *
     * @param  ContainerInterface $container
     * @param  string $requestedName
     * @param  null|array $options
     * @return AnnotationReaderInterface
     * @throws \Doctrine\Common\Annotations\AnnotationException
     */
    public function __invoke(ContainerInterface $container, $requestedName, array $options = null)
    {
        if (!self::$loaderRegistered) {
            /** @noinspection PhpDeprecationInspection */
            AnnotationRegistry::registerLoader('class_exists');
            self::$loaderRegistered = true;
        }

        return new AnnotationReader();
    }
}
