<?php
namespace Ak\Annotation;

use Doctrine\Common\Annotations\Reader as AnnotationReaderInterface;

/**
 * Pruža konfiguraciju komponente.
 *
 * @package Ak\Annotation
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/annotations
 */
final class ConfigProvider
{
    /**
     * Vraća konfiguraciju.
     *
     * @return array
     */
    public function __invoke(): array
    {
        return [
            'dependencies' => $this->getDependencies(),
        ];
    }

    /**
     * Vraća konfiguraciju containera.
     *
     * @return array
     */
    public function getDependencies(): array
    {
        return [
            'aliases' => [
                'AnnotationReader' => AnnotationReaderInterface::class,
            ],

            'factories' => [
                AnnotationReaderInterface::class => AnnotationReaderFactory::class,
            ],
        ];
    }
}