<?php
namespace AkTest\Annotation;

use Ak\Annotation\ConfigProvider;
use Ak\Test\AbstractTestCase;
use Psr\Container\ContainerExceptionInterface;
use Psr\Container\NotFoundExceptionInterface;

/**
 * Class ConfigProviderTest
 *
 * @package AkTest\Annotation
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/annotations
 */
final class ConfigProviderTest extends AbstractTestCase
{
    protected array $providers = [
        ConfigProvider::class,
    ];

    /**
     * @return void
     * @throws ContainerExceptionInterface
     * @throws NotFoundExceptionInterface
     */
    public function testIsRegistered()
    {
        $container = $this->getContainer();

        $this->assertTrue($container->has('config'));
        $this->assertIsArray($container->get('config'));
    }
}
